<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>KFind</name>
    <filename>classKFind.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchor>l0</anchor>
      <arglist>(const  QString &amp;text, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>findNext</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>optionsChanged</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dialogClosed</name>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchor>a0</anchor>
      <arglist>(const  QString &amp;pattern, long options, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needData</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchor>a3</anchor>
      <arglist>(const  QString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>find</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOptions</name>
      <anchor>a6</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numMatches</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>validateMatch</name>
      <anchor>a9</anchor>
      <arglist>(const  QString &amp;, int, int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchor>a10</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>findNextDialog</name>
      <anchor>a12</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeFindNextDialog</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>find</name>
      <anchor>e0</anchor>
      <arglist>(const  QString &amp;text, const  QString &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>find</name>
      <anchor>e1</anchor>
      <arglist>(const  QString &amp;text, const  QRegExp &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotFindNext</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotDialogClosed</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type></type>
      <name>KFind</name>
      <anchor>b0</anchor>
      <arglist>(const  QString &amp;pattern, const  QString &amp;replacement, long options, QWidget *parent)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>QWidget *</type>
      <name>parentWidget</name>
      <anchor>b1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KReplace</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFindDialog</name>
    <filename>classKFindDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="signal">
      <type>void</type>
      <name>okClicked</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const  char *name=0, long options=0, const  QStringList &amp;findStrings=QStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFindDialog</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFindHistory</name>
      <anchor>a2</anchor>
      <arglist>(const  QStringList &amp;strings)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>findHistory</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasSelection</name>
      <anchor>a4</anchor>
      <arglist>(bool hasSelection)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasCursor</name>
      <anchor>a5</anchor>
      <arglist>(bool hasCursor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchor>a6</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pattern</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchor>a9</anchor>
      <arglist>(const  QString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>findExtension</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotOk</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotSelectedTextToggled</name>
      <anchor>j1</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>showPatterns</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>showPlaceholders</name>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>textSearchChanged</name>
      <anchor>j4</anchor>
      <arglist>(const  QString &amp;)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchor>b0</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KReplaceDialog</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplace</name>
    <filename>classKReplace.html</filename>
    <base>KFind</base>
    <member kind="signal">
      <type>void</type>
      <name>replace</name>
      <anchor>l0</anchor>
      <arglist>(const  QString &amp;text, int replacementIndex, int replacedLength, int matchedLength)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchor>a0</anchor>
      <arglist>(const  QString &amp;pattern, const  QString &amp;replacement, long options, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numReplacements</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>replace</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>replaceNextDialog</name>
      <anchor>a5</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeReplaceNextDialog</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchor>a7</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>replace</name>
      <anchor>e0</anchor>
      <arglist>(QString &amp;text, const  QString &amp;pattern, const  QString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>replace</name>
      <anchor>e1</anchor>
      <arglist>(QString &amp;text, const  QRegExp &amp;pattern, const  QString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotSkip</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotReplace</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotReplaceAll</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplaceDialog</name>
    <filename>classKReplaceDialog.html</filename>
    <base>KFindDialog</base>
    <member kind="function">
      <type></type>
      <name>KReplaceDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const  char *name=0, long options=0, const  QStringList &amp;findStrings=QStringList(), const  QStringList &amp;replaceStrings=QStringList(), bool hasSelection=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplaceDialog</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplacementHistory</name>
      <anchor>a2</anchor>
      <arglist>(const  QStringList &amp;strings)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>replacementHistory</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchor>a4</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>replacement</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>replaceExtension</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotOk</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchor>j1</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
  </compound>
</tagfile>
